using Fantasy;
using Fantasy.Entitas;

namespace NB.Map;

public class MapFactory
{
    /// <summary>
    /// 创建一个地图
    /// </summary>
    /// <param name="scene"></param>
    /// <param name="mapId"></param>
    /// <returns></returns>
    public static Map? Create(Scene scene, int mapId)
    {
        var map = Entity.Create<Map>(scene, true, true);
        map.MapId = mapId;
        return map;
    }
}